GNU bug report logs - #60914
[PATCH 15/25] gnu: Add go-github-com-client9-misspell.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:12 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:56 2023
Received: from localhost ([127.0.0.1]:38637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWV-0007XO-Qk
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:44486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW3-0007UH-KX
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW3-00028B-8a
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:27 -0500
Received: from mail-io1-xd2f.google.com ([2607:f8b0:4864:20::d2f])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW0-0006zZ-BT
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:26 -0500
Received: by mail-io1-xd2f.google.com with SMTP id i70so6581035ioa.12
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=0bX9ZNfxuBjLEIC7qd5Ea8j86wUa+JZ7OVxzeVk9LCM=;
 b=H4HSPRQ/RxeuT0dtYHJPY0mR1/ZazyP0bp9Dyknfmu7s1FF3I7m7KChTC+YZh09+01
 hyMPxAR+suIRa8KuV/M+sEFPE8h9VcqEVLbQdKNcVOz7wjPWlFuQ6fXGUkrVNXcFWPIF
 rzyfGkymzdOfnVbAnqb76mHBQI/7+v3IbsvsgOuhMrayK1QuQrWiPXU8WxpE4GfduYv8
 hegoiGqZxGqpGxo1QQP+8RWGuLG01WLtvvVNA4N7cg9GHLDpXvcZA/RHlq/loPWO0To+
 /xMoTrVRnjek3+NPT5ib8gfrWWpHTEveV+0wSRquG4omSrgaHYaMc2Biwt+Hr68N4sKz
 Ci8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=0bX9ZNfxuBjLEIC7qd5Ea8j86wUa+JZ7OVxzeVk9LCM=;
 b=upwuQhe0klcPBG3VkUoM5T5CcBeNmo9POhtejOkCvJUv/Eekp11SnVMEv+QSgb+N8M
 FLYX7iA6j2YzY5eS6X6cEtcgogWC06/EL8SbL3WlknpILnH91ZNU+F9y3XUx922z3It9
 GH8KBvR2+T4t446vMv0uFOSRDpdQN69RXgmhAP7yyoP/gAwmyqk+RFQsAQ0KtZ6ngWrY
 3Oup6OYbOP4g+JZmM37b3Q3YoyVctgowjzXPizq3UT7QeZBIECjtVcxV+OLRO2fqp0TY
 12Wl77bCo/4IQfdzb/pt67mIMMkvvxgPorihZrBSBiEgu0NCjm56qEIVmqoLY5mlcaNW
 sOJQ==
X-Gm-Message-State: AFqh2koyAFWhzlhee0fWHhoUzDnIOUCnpdkkcqIrHXYjEcNBysUd3zhN
 7lgLu3hDSr5eqPJCJUERRQLAhU/jgsA=
X-Google-Smtp-Source: AMrXdXu/R1viKnSqIwvD6AKOsqil9L4eGAmAjOQm/OAFeoN7Qv98TveKvK7ZpWzQ3I/lKn7W9oP5hg==
X-Received: by 2002:a6b:730c:0:b0:6e0:2251:853 with SMTP id
 e12-20020a6b730c000000b006e022510853mr3674232ioh.10.1674006323311; 
 Tue, 17 Jan 2023 17:45:23 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:22 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 15/25] gnu: Add go-github-com-client9-misspell.
Date: Tue, 17 Jan 2023 18:45:00 -0700
Message-Id: <20230118014510.19320-16-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::d2f;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-io1-xd2f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-client9-misspell): New variable.
---
 gnu/packages/golang.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b84fe59503..fe45b29215 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4850,6 +4850,20 @@ (define-public misspell
      "Package misspell corrects commonly misspelled English words in source files.")
     (license license:expat)))
 
+(define-public go-github-com-client9-misspell
+  (package
+    (inherit misspell)
+    (name "go-github-com-client9-misspell")
+    (arguments
+     `(#:import-path "github.com/client9/misspell"
+       #:tests? #f
+       #:install-source? #t
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (package-inputs misspell))
+    (native-inputs '())
+    (inputs '())))
+
 (define-public go-github-com-stevedonovan-luar
   (let ((commit "22d247e5366095f491cd83edf779ee99a78f5ead")
         (revision "0"))
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60914; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.